Subject: Re: bug#9324: 24.0.50; Movement past end of screen causes weird jump

From: Ivan Andrus <[email-masked]>
Date: Fri, 19 Aug 2011 11:54:29 +0200

On Aug 19, 2011, at 10:25 AM, Eli Zaretskii wrote:
>> From: Antoine Levitt <[email-masked]>
>> Date: Thu, 18 Aug 2011 23:11:10 +0200
>> 
>> Can't reproduce it here on emacs -Q. I do C-x C-e to evaluate the
>> (progn), it jumps to the end of the (forward-sexp) with view centred on
>> the (forward-sexp), and when I do the (forward-sexp), it jumps to the
>> end of the defadvice, as expected. That's emacs trunk, under linux, GTK
>> build.
> 
> Same here with today's trunk on MS-Windows.

Somehow I'm not surprised.  It's been an extremely fickle bug.  I suppose it must be Mac specific or more people would have noticed by now.

> Ivan, what major mode is active in the buffer where you see the
> problem?  I didn't tell that in your report.  I tried Fundamental mode
> and Text mode, and couldn't see the problem with either one.

The progn should set it to emacs-lisp-mode which is where I see the problem.  Text mode doesn't exhibit the problem, nor does fundamental mode.

> Also, what are the dimensions of your window, in character cell units?

I'm not sure exactly what you mean.  Is this it? 

(cons (window-width) (window-height))
(89 . 46)

I have included the output from (frame-parameters (selected-frame)) in case that helps as well.  I just noticed that the frame height and window height don't match.  Is that normal?  

If there is anything else I can do to debug it I would be happy, it's just that I have no clue where to begin.  It's not (entirely) due to the actual movement command since running `forward-paragraph' also demonstrates the problem, though curiously `end-of-buffer' works fine. But end-of-buffer sends point to a different line than either of `forward-paragraph' and `forward-sexp'.

-Ivan

((tool-bar-position . top)
 (parent-id)
 (explicit-name)
 (display . "oroszlan.local")
 (visibility . t)
 (icon-name)
 (window-id . "3")
 (top . 22)
 (left . 23)
 (buried-buffer-list)
 (buffer-list #<buffer *temp buffer 1734232700394664397*> #<buffer *Apropos*> #<buffer  *Minibuf-1*> #<buffer  *Minibuf-2*> #<buffer *Occur*>)
 (unsplittable)
 (minibuffer . #<window 159 on  *Minibuf-1*>)
 (modeline . t)
 (width . 89)
 (height . 47)
 (name . "*temp buffer 1734232700394664397*")
 (cursor-color . "black")
 (scroll-bar-background . "grey75")
 (background-mode . light)
 (display-type . color)
 (alpha 93 63)
 (scroll-bar-width . 0)
 (cursor-type . box)
 (auto-lower)
 (auto-raise)
 (icon-type)
 (title)
 (buffer-predicate)
 (tool-bar-lines . 0)
 (menu-bar-lines . 1)
 (right-fringe . 11)
 (left-fringe . 10)
 (line-spacing)
 (background-color . "gray95")
 (foreground-color . "black")
 (vertical-scroll-bars)
 (internal-border-width . 2)
 (border-width . 0)
 (font . "-apple-Monaco-medium-normal-normal-*-12-*-*-*-m-0-iso10646-1")
 (fontsize . 0)
 (font-backend ns))